Skip to main content
The Authenticate method wraps the authenticate Magic Link API endpoint which validates the magic link token passed in. If this method succeeds, the user will be logged in, granted an active session, and the session cookies will be minted and stored in the browser.

Parameters

string
required
The token to authenticate.
object
required
Additional configuration.

Response

string
The email_id or phone_id involved in the given authentication.
string
The unique ID of the affected User.
object
The user object affected by call. See the User object for complete response field details.
string
A secret token for a given Stytch Session.
string
The JSON Web Token (JWT) for a given Stytch Session.
object
If you initiate a Session, by including session_duration_minutes in your authenticate call, you’ll receive a full Session object in the response. See Session object for complete response fields.
object
If Protected Auth is enabled and returned fingerprinting results, the user_device response field will contain information about the user’s device attributes.
string
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.
number
The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.